/*
 * Disseny i implementaci d'un marc de treball de presentaci per a aplicacions J2EE
 * 
 * Universitat Oberta de Catalunya (UOC)
 * 
 * Projecte de Final de Carrera - PFC - J2EE
 *
 * Alumne : Luis Bravo Fuentes
 * 
 * Consultor: Josep Maria Camps Riba
 */
package edu.uoc.exemplefw.business.dao;

import edu.uoc.exemplefw.business.dto.UserDTO;

/**
 * Interface per a la implementaci del patr DAO per a la taula d'usuaris.
 * Defineix el comportament de la classe que gestiona les dades dels usuaris
 * a la base de dades.
 * 
 * @author Luis Bravo Fuentes
 * @version 1.0
 */
public interface UserDAO {
	
	/**
	 * S'obtenen tots els usuaris de la taula de la base de dades 
	 * 
	 * @return Llista d'usuaris de la taula
	 */
	public UserDTO[] getAll();

	/**
	 * Comproba si el usuari i contrasenya s correcte. Es a dir, si la contrasenya 
	 * correspon al nom de l'usuari indicat
	 * 
	 * @param username Nom de l'usuari
	 * @param password Contrasenya de l'usuari
	 * @return <code>true</code> si la contrasenya s de l'usuari, <code>false</code> en cas contrari
	 */
	public boolean isValidUser(String username, String password);
	
	/**
	 * S'otenen les dades de l'usuari a partir del seu nom d'usuari
	 * 
	 * @param username Nom de l'usuari
	 * @return Dades de l'usuari a la base de dades
	 */
	public UserDTO getUserByUsername(String username);
}