/*
 * Disseny i implementaci d'un marc de treball de presentaci per a aplicacions J2EE
 * 
 * Universitat Oberta de Catalunya (UOC)
 * 
 * Projecte de Final de Carrera - PFC - J2EE
 *
 * Alumne : Luis Bravo Fuentes
 * 
 * Consultor: Josep Maria Camps Riba
 */
package edu.uoc.exemplefw.business.dao.impl;

import java.util.Calendar;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

import edu.uoc.exemplefw.business.dto.CustomerDTO;
import edu.uoc.exemplefw.business.dto.UserDTO;

/**
 * Classe que simula una base de dades per a l'aplicaci d'exemple. 
 * 
 * @author Luis Bravo Fuentes
 * @version 1.0
 */
public class BDD {

	/**
	 * Hash que simula la taula d'usuaris de l'aplicaci
	 */
	public static Map<String, UserDTO> userTable = new HashMap<String, UserDTO>();

	/** 
	 * Hash que simula la taula de clients de l'aplicaci
	 */
	public static Map<Integer, CustomerDTO> customerTable = new HashMap<Integer, CustomerDTO>();

	static {
		
		// Es carregen les dades a la taula d'usuaris
		UserDTO user = new UserDTO();
		
		user.setUsername("admin");
		user.setPassword("admin");
		user.setNom("ADMINISTRADOR");
		user.setPrimerCognom("");
		user.setSegonCognom("");
		userTable.put(user.getUsername(), user);
		
		user = new UserDTO();
		user.setUsername("user1");
		user.setPassword("user1");
		user.setNom("Luis");
		user.setPrimerCognom("Bravo");
		user.setSegonCognom("Fuentes");
		userTable.put(user.getUsername(), user);
		
		// Es carregen les dades a la taula de clients
		Calendar cal = Calendar.getInstance();

		CustomerDTO customer = new CustomerDTO();
		customer.setId(1);
		customer.setNif("66576291P");
		customer.setNom("HUGO");
		customer.setPrimerCognom("GUTIERREZ");
		customer.setSegonCognom("GOMILA");
		customer.setEmail("HUGO.GUTIERREZ@GMAIL.COM");
		customer.setSexe("H");
		customer.setTipusComunicacio(new String[] { "E", "T" });
		customer.setTelefon(null);
		cal.set(1956, 11, 1);
		Date data = cal.getTime();
		customer.setDataNaixement(data);

		customerTable.put(customer.getId(), customer);

		customer = new CustomerDTO();
		customer.setId(2);
		customer.setNif("45266888J");
		customer.setNom("AGUSTIN");
		customer.setPrimerCognom("ALMAGRO");
		customer.setSegonCognom("MORAN");
		customer.setEmail("AGUSTIN.ALMAGRO@YAHOO.COM");
		customer.setSexe("H");
		customer.setTipusComunicacio(new String[] { "E" });
		customer.setTelefon("931231212");
		cal.set(1976, 1, 21);
		data = cal.getTime();
		customer.setDataNaixement(data);

		customerTable.put(customer.getId(), customer);

		customer = new CustomerDTO();
		customer.setId(3);
		customer.setNif("35258173R");
		customer.setNom("CRISTINA");
		customer.setPrimerCognom("SANTAMARIA");
		customer.setSegonCognom("BELINCHON");
		customer.setEmail("CRISTINA.SANTAMARIA@HOTMAIL.COM");
		customer.setSexe("D");
		customer.setTipusComunicacio(new String[] {});
		customer.setTelefon("931112233");
		cal.set(1971, 5, 2);
		data = cal.getTime();
		customer.setDataNaixement(data);

		customerTable.put(customer.getId(), customer);

		customer = new CustomerDTO();
		customer.setId(4);
		customer.setNif("62861768P");
		customer.setNom("MONICA");
		customer.setPrimerCognom("MONTAEZ");
		customer.setSegonCognom("ETXEBARRIA");
		customer.setEmail("MONICA.MONTANEZ@LYCOS.COM");
		customer.setSexe("D");
		customer.setTipusComunicacio(new String[] { "E", "T" });
		customer.setTelefon("666554433");
		cal.set(1966, 6, 16);
		data = cal.getTime();
		customer.setDataNaixement(data);

		customerTable.put(customer.getId(), customer);

		customer = new CustomerDTO();
		customer.setId(5);
		customer.setNif("60185928B");
		customer.setNom("CESAR");
		customer.setPrimerCognom("BOUZA");
		customer.setSegonCognom("VALLES");
		customer.setEmail("CESAR.BOUZA@GMAIL.COM");
		customer.setSexe("H");
		customer.setTipusComunicacio(new String[] {});
		customer.setTelefon(null);
		cal.set(1978, 8, 3);
		data = cal.getTime();
		customer.setDataNaixement(data);

		customerTable.put(customer.getId(), customer);

		customer = new CustomerDTO();
		customer.setId(6);
		customer.setNif("32848310D");
		customer.setNom("NOELIA");
		customer.setPrimerCognom("CASCALES");
		customer.setSegonCognom("ARELLANO");
		customer.setEmail("NOELIA.CASCALES@GMAIL.COM");
		customer.setSexe("D");
		customer.setTipusComunicacio(new String[] { "E", "T" });
		customer.setTelefon("939998811");
		cal.set(1968, 9, 14);
		data = cal.getTime();
		customer.setDataNaixement(data);

		customerTable.put(customer.getId(), customer);
	}
}