/*
 * Disseny i implementaci d'un marc de treball de presentaci per a aplicacions J2EE
 * 
 * Universitat Oberta de Catalunya (UOC)
 * 
 * Projecte de Final de Carrera - PFC - J2EE
 *
 * Alumne : Luis Bravo Fuentes
 * 
 * Consultor: Josep Maria Camps Riba
 */
package edu.uoc.exemplefw.business.dao.impl;

import java.util.Map;
import java.util.Set;

import edu.uoc.exemplefw.business.dao.UserDAO;
import edu.uoc.exemplefw.business.dto.UserDTO;

/**
 * Classe que implementa el patr DAO per a la gesti de les dades del usuaris
 * 
 * @author Luis Bravo Fuentes
 * @version 1.0
 */
public class UserDAOImpl implements UserDAO {

	/* (non-Javadoc)
	 * @see edu.uoc.exemplefw.business.dao.UserDAO#getAll()
	 */
	public UserDTO[] getAll() {
		Map<String, UserDTO> userData = BDD.userTable;

		// Recorre la hash i passa les seves dades a un array de UserDTO
		UserDTO[] result = new UserDTO[userData.size()];

		Set<String> keys = userData.keySet();
		int i = 0;
		for (String key : keys) {
			result[i] = userData.get(key);
			i++;
		}
		return result;
	}

	/* (non-Javadoc)
	 * @see edu.uoc.exemplefw.business.dao.UserDAO#isValidUser(java.lang.String, java.lang.String)
	 */
	public boolean isValidUser(String username, String password) {
		
		UserDTO user = BDD.userTable.get(username);
		
		if (user != null) {
			if (password.equals(user.getPassword())) {
				return true;
			}
		} 
		
		return false;
	}
		
	/* (non-Javadoc)
	 * @see edu.uoc.exemplefw.business.dao.UserDAO#getUserByUsername(java.lang.String)
	 */
	public UserDTO getUserByUsername(String username) {
		return BDD.userTable.get(username);
	}
}