/*
 * Disseny i implementaci d'un marc de treball de presentaci per a aplicacions J2EE
 * 
 * Universitat Oberta de Catalunya (UOC)
 * 
 * Projecte de Final de Carrera - PFC - J2EE
 *
 * Alumne : Luis Bravo Fuentes
 * 
 * Consultor: Josep Maria Camps Riba
 */
package edu.uoc.exemplefw.business.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * Classe amb les dades dels clients
 *
 * @author Luis Bravo Fuentes
 * @version 1.0
 */
public class CustomerDTO implements Serializable {

	private static final long serialVersionUID = 8983799838513230591L;

	/**
	 * Identificaci del client
	 */
	private Integer id;

	/**
	 * Nom del client
	 */
	private String nom;

	/**
	 * Primer cognom del client
	 */
	private String primerCognom;

	/**
	 * Segon cognom del client
	 */
	private String segonCognom;

	/**
	 * N.I.F. del client
	 */
	private String nif;
	
	/**
	 * Adrea de correu electrnic del client
	 */
	private String email;

	/**
	 * Sexe del client
	 */
	private String sexe;

	/**
	 * Tipus de comunicaci per al client
	 */
	private String[] tipusComunicacio;

	/**
	 * Nmero de telfon del client
	 */
	private String telefon;

	/**
	 * Data de naixement del client
	 */
	private Date dataNaixement;

	/**
	 * @return el valor de id
	 */
	public Integer getId() {
		return id;
	}

	/**
	 * @param id el valor de id a establir
	 */
	public void setId(Integer id) {
		this.id = id;
	}

	/**
	 * @return el valor de nom
	 */
	public String getNom() {
		return nom;
	}

	/**
	 * @param nom el valor de nom a establir
	 */
	public void setNom(String nom) {
		this.nom = nom;
	}

	/**
	 * @return el valor de primerCognom
	 */
	public String getPrimerCognom() {
		return primerCognom;
	}

	/**
	 * @param primerCognom el valor de primerCognom a establir
	 */
	public void setPrimerCognom(String primerCognom) {
		this.primerCognom = primerCognom;
	}

	/**
	 * @return el valor de segonCognom
	 */
	public String getSegonCognom() {
		return segonCognom;
	}

	/**
	 * @param segonCognom el valor de segonCognom a establir
	 */
	public void setSegonCognom(String segonCognom) {
		this.segonCognom = segonCognom;
	}

	/**
	 * @return el valor de nif
	 */
	public String getNif() {
		return nif;
	}

	/**
	 * @param nif el valor de nif a establir
	 */
	public void setNif(String nif) {
		this.nif = nif;
	}

	/**
	 * @return el valor de email
	 */
	public String getEmail() {
		return email;
	}

	/**
	 * @param email el valor de email a establir
	 */
	public void setEmail(String email) {
		this.email = email;
	}

	/**
	 * @return el valor de sexe
	 */
	public String getSexe() {
		return sexe;
	}

	/**
	 * @param sexe el valor de sexe a establir
	 */
	public void setSexe(String sexe) {
		this.sexe = sexe;
	}

	/**
	 * @return el valor de tipusComunicacio
	 */
	public String[] getTipusComunicacio() {
		return tipusComunicacio;
	}

	/**
	 * @param tipusComunicacio el valor de tipusComunicacio a establir
	 */
	public void setTipusComunicacio(String[] tipusComunicacio) {
		this.tipusComunicacio = tipusComunicacio;
	}

	/**
	 * @return el valor de telefon
	 */
	public String getTelefon() {
		return telefon;
	}

	/**
	 * @param telefon el valor de telefon a establir
	 */
	public void setTelefon(String telefon) {
		this.telefon = telefon;
	}

	/**
	 * @return el valor de dataNaixement
	 */
	public Date getDataNaixement() {
		return dataNaixement;
	}

	/**
	 * @param dataNaixement el valor de dataNaixement a establir
	 */
	public void setDataNaixement(Date dataNaixement) {
		this.dataNaixement = dataNaixement;
	}
}