/*
 * Disseny i implementaci d'un marc de treball de presentaci per a aplicacions J2EE
 * 
 * Universitat Oberta de Catalunya (UOC)
 * 
 * Projecte de Final de Carrera - PFC - J2EE
 *
 * Alumne : Luis Bravo Fuentes
 * 
 * Consultor: Josep Maria Camps Riba
 */
package edu.uoc.exemplefw.business.dto;

import java.io.Serializable;

/**
 * Classe amb les dades dels usuaris
 *
 * @author Luis Bravo Fuentes
 * @version 1.0
 */
public class UserDTO implements Serializable {
	
	private static final long serialVersionUID = -4178393437039215509L;
	
	/**
	 * Nom d'usuari de l'usuari 
	 */
	private String username;
	
	/**
	 * Contrasenya de l'usuari
	 */
	private String password;

	/**
	 * Nom de l'usuari
	 */
	private String nom;

	/**
	 * Primer cognom de l'usuari
	 */
	private String primerCognom;

	/**
	 * Segon cognom de l'usuari
	 */
	private String segonCognom;

	/**
	 * @return el valor de username
	 */
	public String getUsername() {
		return username;
	}

	/**
	 * @param username el valor de username a establir
	 */
	public void setUsername(String username) {
		this.username = username;
	}

	/**
	 * @return el valor de password
	 */
	public String getPassword() {
		return password;
	}

	/**
	 * @param password el valor de password a establir
	 */
	public void setPassword(String password) {
		this.password = password;
	}

	/**
	 * @return el valor de nom
	 */
	public String getNom() {
		return nom;
	}

	/**
	 * @param nom el valor de nom a establir
	 */
	public void setNom(String nom) {
		this.nom = nom;
	}

	/**
	 * @return el valor de primerCognom
	 */
	public String getPrimerCognom() {
		return primerCognom;
	}

	/**
	 * @param primerCognom el valor de primerCognom a establir
	 */
	public void setPrimerCognom(String primerCognom) {
		this.primerCognom = primerCognom;
	}

	/**
	 * @return el valor de segonCognom
	 */
	public String getSegonCognom() {
		return segonCognom;
	}

	/**
	 * @param segonCognom el valor de segonCognom a establir
	 */
	public void setSegonCognom(String segonCognom) {
		this.segonCognom = segonCognom;
	}
	
	/**
	 * S'obt el nom complert de l'usuari
	 * 
	 * @return
	 */
	public String getNomComplet() {
		String nomComplert = this.nom;
		if (!"".equals(this.primerCognom)) {
			nomComplert += " " + this.primerCognom;
		}
		if (!"".equals(this.segonCognom)) {
			nomComplert += " " + this.segonCognom;
		}
		return nomComplert;
	}
}