/*
 * Disseny i implementaci d'un marc de treball de presentaci per a aplicacions J2EE
 * 
 * Universitat Oberta de Catalunya (UOC)
 * 
 * Projecte de Final de Carrera - PFC - J2EE
 *
 * Alumne : Luis Bravo Fuentes
 * 
 * Consultor: Josep Maria Camps Riba
 */
package edu.uoc.exemplefw.commands;

import java.util.Enumeration;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import edu.uoc.exemplefw.Constants;
import edu.uoc.fw.core.command.Command;
import edu.uoc.fw.core.context.ContextObject;
import edu.uoc.fw.core.form.Form;

/**
 * Classe command per al logout de l'usuari a l'aplicaci
 *
 * @author Luis Bravo Fuentes
 * @version 1.0
 */
public class LogoutCommand extends Command {
	
	static Log log = LogFactory.getLog(LoginCommand.class);

	// Constants de la classe
	private static final String RESULT_SUCCESS 	= "success";
	
	@Override
	public String execute(ContextObject context, Form form) {

		// Es borra l'usuari de la sessi
		context.removeAttributeSession(Constants.Session.USER_SESSION);
		
		//Tamb s'eliminen tots els atributs guardats a la sessi
		Enumeration<String> atributs = context.getAttributeNamesSession();
		while (atributs.hasMoreElements()) {
			String atribut = (String)atributs.nextElement();
			context.removeAttributeSession(atribut);
		}	
		
		return RESULT_SUCCESS;
	}
}