/*
 * Disseny i implementaci d'un marc de treball de presentaci per a aplicacions J2EE
 * 
 * Universitat Oberta de Catalunya (UOC)
 * 
 * Projecte de Final de Carrera - PFC - J2EE
 *
 * Alumne : Luis Bravo Fuentes
 * 
 * Consultor: Josep Maria Camps Riba
 */
package edu.uoc.exemplefw.forms;

import java.util.HashMap;
import java.util.Map;

/**
 * Classe per a les dades del client al form
 *  
 * @author Luis Bravo Fuentes
 * @version 1.0
 */
public class CustomerDetail {
	
	private Integer id = null;

	private String nom = "";

	private String primerCognom = "";

	private String segonCognom = "";

	private String nif = "";

	private String email = "";

	private String sexe = "";

	private String[] tipusComunicacio = new String[0];
	
	private String telefon = "";

	private String dataNaixement = "";

	/**
	 * @return el valor de id
	 */
	public Integer getId() {
		return id;
	}

	/**
	 * @param id el valor de id a establir
	 */
	public void setId(Integer id) {
		this.id = id;
	}

	/**
	 * @return el valor de nom
	 */
	public String getNom() {
		return nom;
	}

	/**
	 * @param nom el valor de nom a establir
	 */
	public void setNom(String nom) {
		this.nom = nom;
	}

	/**
	 * @return el valor de primerCognom
	 */
	public String getPrimerCognom() {
		return primerCognom;
	}

	/**
	 * @param primerCognom el valor de primerCognom a establir
	 */
	public void setPrimerCognom(String primerCognom) {
		this.primerCognom = primerCognom;
	}

	/**
	 * @return el valor de segonCognom
	 */
	public String getSegonCognom() {
		return segonCognom;
	}

	/**
	 * @param segonCognom el valor de segonCognom a establir
	 */
	public void setSegonCognom(String segonCognom) {
		this.segonCognom = segonCognom;
	}

	/**
	 * @return el valor de nif
	 */
	public String getNif() {
		return nif;
	}

	/**
	 * @param nif el valor de nif a establir
	 */
	public void setNif(String nif) {
		this.nif = nif;
	}

	/**
	 * @return el valor de email
	 */
	public String getEmail() {
		return email;
	}

	/**
	 * @param email el valor de email a establir
	 */
	public void setEmail(String email) {
		this.email = email;
	}

	/**
	 * @return el valor de sexe
	 */
	public String getSexe() {
		return sexe;
	}

	/**
	 * @param sexe el valor de sexe a establir
	 */
	public void setSexe(String sexe) {
		this.sexe = sexe;
	}

	/**
	 * @return el valor de tipusComunicacio
	 */
	public String[] getTipusComunicacio() {
		return tipusComunicacio;
	}

	/**
	 * @param tipusComunicacio el valor de tipusComunicacio a establir
	 */
	public void setTipusComunicacio(String[] tipusComunicacio) {
		this.tipusComunicacio = tipusComunicacio;
	}

	/**
	 * @return el valor de tipusComunicacio en format de Hash
	 */
	public Map<String, Boolean> getHashTipusComunicacio() {
		
		Map<String, Boolean> tipusComunicacio = new HashMap<String, Boolean>();
		
		if (this.tipusComunicacio != null) {
			for (String tipus : this.tipusComunicacio) {
				tipusComunicacio.put(tipus, true);
			}
		}
		return tipusComunicacio;
	}
	
	/**
	 * @return el valor de telefon
	 */
	public String getTelefon() {
		return telefon;
	}

	/**
	 * @param telefon el valor de telefon a establir
	 */
	public void setTelefon(String telefon) {
		this.telefon = telefon;
	}

	/**
	 * @return el valor de dataNaixement
	 */
	public String getDataNaixement() {
		return dataNaixement;
	}

	/**
	 * @param dataNaixement el valor de dataNaixement a establir
	 */
	public void setDataNaixement(String dataNaixement) {
		this.dataNaixement = dataNaixement;
	}

}