/*
 * Disseny i implementaci d'un marc de treball de presentaci per a aplicacions J2EE
 * 
 * Universitat Oberta de Catalunya (UOC)
 * 
 * Projecte de Final de Carrera - PFC - J2EE
 *
 * Alumne : Luis Bravo Fuentes
 * 
 * Consultor: Josep Maria Camps Riba
 */
package edu.uoc.fw.core.command;

import java.util.ArrayList;
import java.util.List;

/**
 * Guarda missatges per al command. Guarda missatges d'error i missatges informatius.
 * 
 * @author Luis Bravo Fuentes
 * @version 1.0
 */
public class CommandMessages {

	/**
	 * Llista de missages d'error.
	 */
	private List<String> errorMessages = new ArrayList<String>();
	/**
	 * Llista de missatges informatius.
	 */
	private List<String> informationMessages = new ArrayList<String>();
	
	/**
	 * Afegeix un missatge d'error a la llista d'errors 
	 * 
	 * @param error missatge d'error
	 */
	public void addError(String error) {
		this.errorMessages.add(error);
	}
	
	/**
	 * Afegeix un missatge informatiu a la llista de missatges d'informaci
	 * 
	 * @param info missatge informatiu
	 */
	public void addInfo(String info) {
		this.informationMessages.add(info);
	}

	/**
	 * Retorna la llista d'errors 
	 * 
	 * @return llista d'errors
	 */
	public List<String> getErrorMessages() {
		return errorMessages;
	}

	/**
	 * Retorna la llista dels missatges informatius
	 * 
	 * @return llista de missatges informatius
	 */
	public List<String> getInformationMessages() {
		return informationMessages;
	}
}