/*
 * Disseny i implementaci d'un marc de treball de presentaci per a aplicacions J2EE
 * 
 * Universitat Oberta de Catalunya (UOC)
 * 
 * Projecte de Final de Carrera - PFC - J2EE
 *
 * Alumne : Luis Bravo Fuentes
 * 
 * Consultor: Josep Maria Camps Riba
 */
package edu.uoc.fw.core.config;

/**
 * Configuraci del resultat que pot retornar un command, indicada al fitxer xml de configuraci de l'aplicaci
 * 
 * @author Luis Bravo Fuentes
 * @version 1.0
 */
public class ResultConfig {
 
	/**
	 * Nom del resultat
	 */
	private String name;

	/**
	 * Cap a on s'ha de navegar
	 */
	private String to;
	
	/**
	 * Si s'ha de fer una redirecci
	 */
	private boolean redirect = false;
	

	protected ResultConfig(String name, String to, boolean redirect) {
		this.name = name;
		this.to = to;
		this.redirect = redirect;
	}
	
	public ResultConfig() {
	}

	/**
	 * @return el valor de name
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name el valor de name a establir
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @return el valor de to
	 */
	public String getTo() {
		return to;
	}

	/**
	 * @param to el valor de to a establir
	 */
	public void setTo(String to) {
		this.to = to;
	}

	/**
	 * @return el valor de redirect
	 */
	public boolean isRedirect() {
		return redirect;
	}

	/**
	 * @param redirect el valor de redirect a establir
	 */
	public void setRedirect(boolean redirect) {
		this.redirect = redirect;
	}

	@Override
	public String toString() {
		return "ResultConfig: {name: \"" + name + "\", to: \"" + to + "\" redirect: \"" + redirect + "\"} ";
	}
}