/*
 * Disseny i implementaci d'un marc de treball de presentaci per a aplicacions J2EE
 * 
 * Universitat Oberta de Catalunya (UOC)
 * 
 * Projecte de Final de Carrera - PFC - J2EE
 *
 * Alumne : Luis Bravo Fuentes
 * 
 * Consultor: Josep Maria Camps Riba
 */
package edu.uoc.fw.tags;

import java.io.IOException;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.jsp.JspException;
import javax.servlet.jsp.PageContext;
import javax.servlet.jsp.tagext.SimpleTagSupport;

import edu.uoc.fw.core.config.ResourceBundleConfig;

/**
 * Implementa l'etiqueta per a mostrar literals utilitzant la internacionalitzaci
 * 
 * @author Luis Bravo Fuentes
 * @version 1.0
 */
public class MessageTag extends SimpleTagSupport {

	/**
	 * Clau per a recuperar el missatge del fitxer de properties
	 */
	private String key;

	/**
	 * @return el valor de key
	 */
	public String getKey() {
		return key;
	}

	/**
	 * @param key el valor de key a establir
	 */
	public void setKey(String key) {
		this.key = key;
	}

	@Override
	public void doTag() throws JspException, IOException {
		
		PageContext pageContext = (PageContext) getJspContext();
		HttpServletRequest request = (HttpServletRequest) pageContext.getRequest();
		
		ResourceBundleConfig resourceBundleConfig = ResourceBundleConfig.getInstance();
		
		String language = request.getLocale().getLanguage();
		
		String value = resourceBundleConfig.getMessage(language, key);
	
		getJspContext().getOut().write(value);
	}
}