/*
 * Disseny i implementaci d'un marc de treball de presentaci per a aplicacions J2EE
 * 
 * Universitat Oberta de Catalunya (UOC)
 * 
 * Projecte de Final de Carrera - PFC - J2EE
 *
 * Alumne : Luis Bravo Fuentes
 * 
 * Consultor: Josep Maria Camps Riba
 */
package edu.uoc.fw.tags;

import java.io.IOException;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.PageContext;
import javax.servlet.jsp.tagext.SimpleTagSupport;

/**
 * Implementa l'etiqueta per a mostrar atributs del formulari.
 * 
 * @author Luis Bravo Fuentes
 * @version 1.0
 */
public class OutputTag extends SimpleTagSupport {

	/**
	 * Nom del bean
	 */
	private String bean;
	
	/**
	 * Nom de la propietat
	 */
	private String property;
	
	/**
	 * @return el valor de bean
	 */
	public String getBean() {
		return bean;
	}

	/**
	 * @param bean el valor de bean a establir
	 */
	public void setBean(String bean) {
		this.bean = bean;
	}

	/**
	 * @return el valor de property
	 */
	public String getProperty() {
		return property;
	}




	/**
	 * @param property el valor de property a establir
	 */
	public void setProperty(String property) {
		this.property = property;
	}




	@Override
	public void doTag() throws JspException, IOException {

		PageContext pageContext = (PageContext) getJspContext();

		String value = TagUtils.getValueParameter(pageContext, getBean(), getProperty());

		getJspContext().getOut().write(value.toString());
	}
}