/*
 * Disseny i implementaci d'un marc de treball de presentaci per a aplicacions J2EE
 * 
 * Universitat Oberta de Catalunya (UOC)
 * 
 * Projecte de Final de Carrera - PFC - J2EE
 *
 * Alumne : Luis Bravo Fuentes
 * 
 * Consultor: Josep Maria Camps Riba
 */
package edu.uoc.fw.tags;

import java.lang.reflect.InvocationTargetException;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.jsp.PageContext;

import org.apache.commons.beanutils.PropertyUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Utilitats per a les etiquetes del framework.
 * 
 * @author Luis Bravo Fuentes
 * @version 1.0
 */
public class TagUtils {

	static Log log = LogFactory.getLog(TagUtils.class);

	/**
	 * S'obt el valor de l'atribut del formulari indicat. Si no es troba el formulari a la petici, es cerca a la sessi.
	 * 
	 * @param pageContext Contexte de la pgina
	 * @param formName Nom del formulari
	 * @param property Nom de l'atribut del formulari
	 * @return
	 */
	public static String getValueParameter(PageContext pageContext, String formName, String property) {

		HttpServletRequest request = (HttpServletRequest) pageContext.getRequest();

		// Es recupera el form de la petici
		Object form = request.getAttribute(formName);
		if (form == null) {
			// Si no es a la petici, es cerca a la sessi
			form = pageContext.getSession().getAttribute(formName);
		}
		
		Object value = null;
		if (form != null) {
			try {
				value = PropertyUtils.getProperty(form, property);

			} catch (IllegalAccessException e) {
				log.error("Error fent la crida de: " + form.getClass().getName() + "." + property, e);
				
			} catch (InvocationTargetException e) {
				log.error("Error fent la crida de: " + form.getClass().getName() + "." + property, e);
				
			} catch (NoSuchMethodException e) {
				log.error("Mtode no trobat: " + form.getClass().getName() + "." + property);
			}
		} else {
			log.info("No s'ha trobat el form: " + formName + " per a la propietat: " + property);
		}
		if (value == null) {
			value = "";
		}
		return value.toString();
	}
}