/*
 * Disseny i implementaci d'un marc de treball de presentaci per a aplicacions J2EE
 * 
 * Universitat Oberta de Catalunya (UOC)
 * 
 * Projecte de Final de Carrera - PFC - J2EE
 *
 * Alumne : Luis Bravo Fuentes
 * 
 * Consultor: Josep Maria Camps Riba
 */
package edu.uoc.fw.tags;

import java.io.IOException;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.PageContext;
import javax.servlet.jsp.tagext.SimpleTagSupport;

/**
 * Implementa l'etiqueta per al component caixa de text del framework
 * 
 * @author Luis Bravo Fuentes
 * @version 1.0
 */
public class TextTag extends SimpleTagSupport {

	/**
	 * Nom del formulari
	 */
	private String form;

	/**
	 * Nom de l'atribut del formulari
	 */
	private String property;

	/**
	 * Valor per al component
	 */
	private String value;

	/**
	 * Atribut maxlegth per al component html
	 */
	private String maxlength;

	/**
	 * Atribut size per al component html
	 */
	private String size;
	
	/**
	 * Classe css per al component
	 */
	private String cssClass;

	/**
	 * @return el valor de form
	 */
	public String getForm() {
		return form;
	}

	/**
	 * @param form el valor de form a establir
	 */
	public void setForm(String form) {
		this.form = form;
	}

	/**
	 * @return el valor de property
	 */
	public String getProperty() {
		return property;
	}

	/**
	 * @param property el valor de property a establir
	 */
	public void setProperty(String property) {
		this.property = property;
	}

	/**
	 * @return el valor de value
	 */
	public String getValue() {
		return value;
	}

	/**
	 * @param value el valor de value a establir
	 */
	public void setValue(String value) {
		this.value = value;
	}

	/**
	 * @return el valor de maxlength
	 */
	public String getMaxlength() {
		return maxlength;
	}

	/**
	 * @param maxlength el valor de maxlength a establir
	 */
	public void setMaxlength(String maxlength) {
		this.maxlength = maxlength;
	}

	/**
	 * @return el valor de size
	 */
	public String getSize() {
		return size;
	}

	/**
	 * @param size el valor de size a establir
	 */
	public void setSize(String size) {
		this.size = size;
	}

	/**
	 * @return el valor de cssClass
	 */
	public String getCssClass() {
		return cssClass;
	}

	/**
	 * @param cssClass el valor de cssClass a establir
	 */
	public void setCssClass(String cssClass) {
		this.cssClass = cssClass;
	}

	@Override
	public void doTag() throws JspException, IOException {

		String value = getValue();
		// Si no s'ha indicat un valor, es recupera del formulari
		if (value == null) {
			PageContext pageContext = (PageContext) getJspContext();

			value = TagUtils.getValueParameter(pageContext, getForm(), property);
		}
		String htmlTag = "<input type=\"text\" name=\"" + getForm() + "." + getProperty() + "\" value=\"" + value + "\"";

		if (size != null) {
			htmlTag += " size=\"" + size + "\"";
		}

		if (maxlength != null) {
			htmlTag += " maxlength=\"" + maxlength + "\"";
		}

		if (cssClass != null) {
			htmlTag += " class=\"" + cssClass + "\"";
		}

		htmlTag += " />";
		getJspContext().getOut().write(htmlTag);
	}
}